import { Injector } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __array = services.array;
import __synchronizedRequests = services.synchronizedRequests;
import * as dataSources from '../dataSources/index';
import { Sorter } from '../sorts/index';
import { CardContainerBuilder } from './cardContainerBuilder.service';
export interface IDataSourceBuilder {
    buildSimpleDataSource<TDataType>(data: TDataType[]): dataSources.IDataSource<TDataType>;
    buildDataServiceDataSource<TDataType>(getDataSet: dataSources.IDataServiceFunction<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildClientServerDataSource<TDataType>(getDataSet: dataSources.IDataServiceFunction<TDataType>, getFilterModel?: dataSources.IGetFilterModel<TDataType>, validateModel?: dataSources.IValidateFilterModel<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildServerSideDataSource<TDataType>(getDataSet: dataSources.IServerSearchFunction<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildSmartDataSource<TDataType>(getDataSet: dataSources.IServerSearchFunction<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildCustomDataSource<TDataType>(dataSource: dataSources.IDataSource<TDataType>): dataSources.IDataSource<TDataType>;
}
export declare class DataSourceBuilder implements IDataSourceBuilder {
    private injector;
    private parent;
    private object;
    private array;
    private synchronizedRequestsFactory;
    private sorter;
    constructor(injector: Injector, object: __object.IObjectUtility, array: __array.IArrayUtility, synchronizedRequestsFactory: __synchronizedRequests.ISynchronizedRequestsFactory, sorter: Sorter);
    init(parent: CardContainerBuilder): void;
    buildSimpleDataSource<TDataType>(data: TDataType[]): dataSources.IDataSource<TDataType>;
    buildDataServiceDataSource<TDataType>(getDataSet: dataSources.IDataServiceFunction<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildClientServerDataSource<TDataType>(getDataSet: dataSources.IDataServiceFunction<TDataType>, getFilterModel?: dataSources.IGetFilterModel<TDataType>, validateModel?: dataSources.IValidateFilterModel<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildServerSideDataSource<TDataType>(getDataSet: dataSources.IServerSearchFunction<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildSmartDataSource<TDataType>(getDataSet: dataSources.IServerSearchFunction<TDataType>): dataSources.IAsyncDataSource<TDataType>;
    buildCustomDataSource<TDataType>(dataSource: dataSources.IDataSource<TDataType>): dataSources.IDataSource<TDataType>;
}
