import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __transform = services.transform;
import { IFilterOption, IFilterGroup, FilterGroup } from '../filterGroup.service';
export interface IModeFilterGroupSettings<TItemType> {
    label: string;
    type: string;
    getValue: {
        (item: TItemType): string | number | boolean;
    } | string;
    options: IModeFilterOptionSettings[];
}
export interface IModeFilterOptionSettings {
    label: string;
    displayAll?: boolean;
    value?: number | string | boolean;
}
export interface IModeFilterOption extends IFilterOption {
    displayAll?: boolean;
    value?: number | string | boolean;
}
export interface IModeFilterGroup extends IFilterGroup {
    options: IModeFilterOption[];
    serialize(): number | string | boolean;
}
export declare class ModeFilterGroup extends FilterGroup implements IModeFilterGroup {
    private getValue;
    transformService: __transform.ITransformService;
    constructor(settings: IModeFilterGroupSettings<any>, object: __object.IObjectUtility, transformService: __transform.ITransformService);
    serialize(): number | string | boolean;
    private buildModeOption(option);
}
