import { EventEmitter, OnInit } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __boolean = services.boolean;
import __notification = services.notification;
import { SimpleCardListComponent } from './simpleCardList';
import { FormComponent } from '../form/form';
import { FormService } from '../../services/form/form.service';
import { CardHeaderTemplate, CardContentTemplate, CardFooterTemplate } from '../cards/index';
export declare class SimpleCardComponent<T> extends FormComponent implements OnInit {
    canOpen: boolean;
    alwaysOpen: boolean;
    saveWhenInvalid: boolean;
    cardType: string;
    onOpen: EventEmitter<void>;
    header: CardHeaderTemplate;
    content: CardContentTemplate;
    footer: CardFooterTemplate;
    showContent: boolean;
    list: SimpleCardListComponent<T>;
    alternatingClass: string;
    private boolean;
    constructor(boolean: __boolean.IBooleanUtility, notification: __notification.INotificationService, formService: FormService, list: SimpleCardListComponent<T>);
    ngOnInit(): void;
    toggle(): void;
    open(): void;
    close(): boolean;
    saveForm(): boolean;
    private emptyList();
}
